// importing native minecraft module
import * as Minecraft from "mojang-minecraft";

// variable to track world is empty or filled
let worldHasPlayer = false

// player join event triggered when a player joins
Minecraft.world.events.playerJoin.subscribe(player => {

    // as player has joined set worldHasPlayer to yes
    worldHasPlayer = true
})

const TICKS_IN_FIVE_SECONDS = 8 * 1

// world tick event that fires our function every tick - 20 time in a sec
Minecraft.world.events.tick.subscribe(eventData => {

    // current world tick count value returned by the event
    const { currentTick } = eventData

    // if world not has player or current tick is not divisable by TICKS_IN_FIVE_SECONDS then break the code
    if (!worldHasPlayer || currentTick % TICKS_IN_FIVE_SECONDS !== 0) return;

    // get all players 
    let players = Minecraft.world.getPlayers()

    // loop through players 
    for (let player of players) {
        // run command as player 
        player.runCommand(`execute @s[hasitem={item=wc:cloud_boots,location=slot.armor.feet}] ~ ~ ~ particle minecraft:llama_spit_smoke ~ ~ ~`)
    }
})